package com.ruoyi.tuya.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 内容信息对象 tuya_article_info
 *
 * @author zf
 * @date 2022-07-14
 */
public class TuyaArticleInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long articleId;

    /** 所属平台 */
    @Excel(name = "所属平台")
    private Long siteId;

    /** 所属模块 */
    @Excel(name = "所属模块")
    private Long channelId;

    /** 所属栏目 */
    @Excel(name = "所属栏目")
    private Long categoryId;

    /** 平台名称 */
    @Excel(name = "平台名称")
    private String siteName;

    /** 模块名称 */
    @Excel(name = "模块名称")
    private String channelName;

    /** 栏目名称 */
    @Excel(name = "栏目名称")
    private String categoryName;

    /** 内容标题 */
    @Excel(name = "内容标题")
    private String articleTitle;

    /** 副标题 */
    @Excel(name = "副标题")
    private String articleTitle2;

    /** 内容摘要 */
    @Excel(name = "内容摘要")
    private String articleDigest;

    /** 内容描述 */
    @Excel(name = "内容描述")
    private String articleContent;

    /** URL */
    @Excel(name = "URL")
    private String articleLinkUrl;

    /** 扩展图片1 */
    @Excel(name = "扩展图片1")
    private String articleImgUrl1;

    /** 扩展图片2 */
    @Excel(name = "扩展图片2")
    private String articleImgUrl2;

    /** 封面图片 */
    @Excel(name = "封面图片")
    private String articleImgUrl3;

    /** 扩展视频 */
    @Excel(name = "扩展视频")
    private String articleVideoUrl;

    /** SEO标题 */
    @Excel(name = "SEO标题")
    private String seoTitle;

    /** SEO关键字 */
    @Excel(name = "SEO关键字")
    private String seoKeyword;

    /** SEO描述 */
    @Excel(name = "SEO描述")
    private String seoDescription;

    /** 排序数字 */
    @Excel(name = "排序数字")
    private Long sortId;

    /** 是否启用 */
    @Excel(name = "是否启用")
    private Long isLock;

    /** 标识 */
    @Excel(name = "标识")
    private Long flag;

    public void setArticleId(Long articleId)
    {
        this.articleId = articleId;
    }

    public Long getArticleId()
    {
        return articleId;
    }
    public void setSiteId(Long siteId)
    {
        this.siteId = siteId;
    }

    public Long getSiteId()
    {
        return siteId;
    }
    public void setChannelId(Long channelId)
    {
        this.channelId = channelId;
    }

    public Long getChannelId()
    {
        return channelId;
    }
    public void setCategoryId(Long categoryId)
    {
        this.categoryId = categoryId;
    }

    public Long getCategoryId()
    {
        return categoryId;
    }
    public void setSiteName(String siteName)
    {
        this.siteName = siteName;
    }

    public String getSiteName()
    {
        return siteName;
    }
    public void setChannelName(String channelName)
    {
        this.channelName = channelName;
    }

    public String getChannelName()
    {
        return channelName;
    }
    public void setCategoryName(String categoryName)
    {
        this.categoryName = categoryName;
    }

    public String getCategoryName()
    {
        return categoryName;
    }
    public void setArticleTitle(String articleTitle)
    {
        this.articleTitle = articleTitle;
    }

    public String getArticleTitle()
    {
        return articleTitle;
    }
    public void setArticleTitle2(String articleTitle2)
    {
        this.articleTitle2 = articleTitle2;
    }

    public String getArticleTitle2()
    {
        return articleTitle2;
    }
    public void setArticleDigest(String articleDigest)
    {
        this.articleDigest = articleDigest;
    }

    public String getArticleDigest()
    {
        return articleDigest;
    }
    public void setArticleContent(String articleContent)
    {
        this.articleContent = articleContent;
    }

    public String getArticleContent()
    {
        return articleContent;
    }
    public void setArticleLinkUrl(String articleLinkUrl)
    {
        this.articleLinkUrl = articleLinkUrl;
    }

    public String getArticleLinkUrl()
    {
        return articleLinkUrl;
    }
    public void setArticleImgUrl1(String articleImgUrl1)
    {
        this.articleImgUrl1 = articleImgUrl1;
    }

    public String getArticleImgUrl1()
    {
        return articleImgUrl1;
    }
    public void setArticleImgUrl2(String articleImgUrl2)
    {
        this.articleImgUrl2 = articleImgUrl2;
    }

    public String getArticleImgUrl2()
    {
        return articleImgUrl2;
    }
    public void setArticleImgUrl3(String articleImgUrl3)
    {
        this.articleImgUrl3 = articleImgUrl3;
    }

    public String getArticleImgUrl3()
    {
        return articleImgUrl3;
    }
    public void setArticleVideoUrl(String articleVideoUrl)
    {
        this.articleVideoUrl = articleVideoUrl;
    }

    public String getArticleVideoUrl()
    {
        return articleVideoUrl;
    }
    public void setSeoTitle(String seoTitle)
    {
        this.seoTitle = seoTitle;
    }

    public String getSeoTitle()
    {
        return seoTitle;
    }
    public void setSeoKeyword(String seoKeyword)
    {
        this.seoKeyword = seoKeyword;
    }

    public String getSeoKeyword()
    {
        return seoKeyword;
    }
    public void setSeoDescription(String seoDescription)
    {
        this.seoDescription = seoDescription;
    }

    public String getSeoDescription()
    {
        return seoDescription;
    }
    public void setSortId(Long sortId)
    {
        this.sortId = sortId;
    }

    public Long getSortId()
    {
        return sortId;
    }
    public void setIsLock(Long isLock)
    {
        this.isLock = isLock;
    }

    public Long getIsLock()
    {
        return isLock;
    }
    public void setFlag(Long flag)
    {
        this.flag = flag;
    }

    public Long getFlag()
    {
        return flag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("articleId", getArticleId())
            .append("siteId", getSiteId())
            .append("channelId", getChannelId())
            .append("categoryId", getCategoryId())
            .append("siteName", getSiteName())
            .append("channelName", getChannelName())
            .append("categoryName", getChannelName())
            .append("articleTitle", getArticleTitle())
            .append("articleTitle2", getArticleTitle2())
            .append("articleDigest", getArticleDigest())
            .append("articleContent", getArticleContent())
            .append("articleLinkUrl", getArticleLinkUrl())
            .append("articleImgUrl1", getArticleImgUrl1())
            .append("articleImgUrl2", getArticleImgUrl2())
            .append("articleImgUrl3", getArticleImgUrl3())
            .append("articleVideoUrl", getArticleVideoUrl())
            .append("seoTitle", getSeoTitle())
            .append("seoKeyword", getSeoKeyword())
            .append("seoDescription", getSeoDescription())
            .append("sortId", getSortId())
            .append("isLock", getIsLock())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("flag", getFlag())
            .append("remark", getRemark())
            .toString();
    }
}
